Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POIXMLDocumentPart

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart

Direct Known Subclasses:
  CalculationChain, CommentsTable, MapInfo, POIXMLDocument, SharedStringsTable, SingleXmlCells, StylesTable, Table, ThemesTable, XSSFDrawing, XSSFPictureData, XSSFSheet, XSSFVMLDrawing, XWPFHeaderFooter, XWPFNumbering, XWPFPictureData, XWPFSettings, XWPFStyles

    public class POIXMLDocumentPart

extends java.lang.Object

Represents an entry of a OOXML package.

Each POIXMLDocumentPart keeps a reference to the underlying a `PackagePart`.

Author:
  Yegor Kozlov

Field Summary
`static org.apache.xmlbeans.XmlOptions` | `DEFAULT_XML_OPTIONS`

Constructor Summary
`POIXMLDocumentPart()` Creates new POIXMLDocumentPart - called by client code to create new parts from scratch.
`POIXMLDocumentPart(OPCPackage pkg)` Construct POIXMLDocumentPart representing a "core document" package part.
`POIXMLDocumentPart(PackagePart part, PackageRelationship rel)` Creates an POIXMLDocumentPart representing the given package part and relationship.

Method Summary
`POIXMLDocumentPart` | `createRelationship(POIXMLRelation descriptor, POIXMLFactory factory)` Create a new child POIXMLDocumentPart
`POIXMLDocumentPart` | `createRelationship(POIXMLRelation descriptor, POIXMLFactory factory, int idx)`
`PackagePart` | `getPackagePart()` Provides access to the underlying PackagePart
`PackageRelationship` | `getPackageRelationship()` Provides access to the PackageRelationship that identifies this POIXMLDocumentPart
`POIXMLDocumentPart` | `getParent()` Returns the parent POIXMLDocumentPart.
`java.util.List` | `getRelations()` Returns the list of child relations for this POIXMLDocumentPart
`void` | `removeRelation(POIXMLDocumentPart part)` Remove the specified part in this package.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_XML_OPTIONS

    public static final org.apache.xmlbeans.XmlOptions DEFAULT_XML_OPTIONS

Constructor Detail

### POIXMLDocumentPart

    public POIXMLDocumentPart(OPCPackage pkg)

  Construct POIXMLDocumentPart representing a "core document" package part.

### POIXMLDocumentPart

    public POIXMLDocumentPart()

  Creates new POIXMLDocumentPart - called by client code to create new parts from scratch.

  See Also:
    `createRelationship(POIXMLRelation, POIXMLFactory, int, boolean)`

### POIXMLDocumentPart

    public POIXMLDocumentPart(PackagePart part,
                              PackageRelationship rel)

  Creates an POIXMLDocumentPart representing the given package part and relationship. Called by `read(POIXMLFactory, java.util.Map)` when reading in an exisiting file.

  Parameters:
    `part` - - The package part that holds xml data represenring this sheet.
    `rel` - - the relationship of the given package part
  See Also:
    `read(POIXMLFactory, java.util.Map)`

Method Detail

### getPackagePart

    public final PackagePart getPackagePart()

  Provides access to the underlying PackagePart

  Returns:
    the underlying PackagePart

### getPackageRelationship

    public final PackageRelationship getPackageRelationship()

  Provides access to the PackageRelationship that identifies this POIXMLDocumentPart

  Returns:
    the PackageRelationship that identifies this POIXMLDocumentPart

### getRelations

    public final java.util.List getRelations()

  Returns the list of child relations for this POIXMLDocumentPart

  Returns:
    child relations

### removeRelation

    public final void removeRelation(POIXMLDocumentPart part)

  Remove the specified part in this package.

### getParent

    public final POIXMLDocumentPart getParent()

  Returns the parent POIXMLDocumentPart. All parts except root have not-null parent.

  Returns:
    the parent POIXMLDocumentPart or `null` for the root element.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createRelationship

    public final POIXMLDocumentPart createRelationship(POIXMLRelation descriptor,
                                                       POIXMLFactory factory)

  Create a new child POIXMLDocumentPart

  Parameters:
    `descriptor` - the part descriptor
    `factory` - the factory that will create an instance of the requested relation
  Returns:
    the created child POIXMLDocumentPart

### createRelationship

    public final POIXMLDocumentPart createRelationship(POIXMLRelation descriptor,
                                                       POIXMLFactory factory,
                                                       int idx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD